Subject: 25.0.50; [js-mode][FR] support chain syntax indentation
From: Rasmus <[email-masked]>
To: [email-masked]
Date: Thu, 25 Jun 2015 17:37:51 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I would be lovely if js-mode would support the chain-syntax used by the
d3.js library.  d3.js is used to making svg graphics.  The syntax is very
readable if indentation is right:

var points = svg.selectAll(".scatter-dots")
               .data(data)
               .enter().append("path")
               .more_funs();

var an_axis = axes.append("g")
                  .call(d3.svg.axis()
                          .scale(Scale)
                          .orient("bottom"));
   
Usually calls are factored out so the latter example is not so important
to be able to match.  Just aligning on the first dot on the previous line
would be a big step forward.

I don't know if this is useful for other JS libraries than d3.  Some d3
documentation mentioned this selector-mechanism was inspired by jQuery,
but I don't know this library well enough to say whether it would be
useful with that.

Thanks,
Rasmus

-- 
Not everything that goes around comes back around, you know